/* CSS Document */

*{
	box-sizing: border-box;
}

html, body{
	width: 100%;
}
body{
	background: #181818;
	
	font-family: Ubuntu;
	font-size: 16px;
	color: #eee;
	
	margin: 0;
	padding: 0;
}

.right{
	text-align: right;
}
.small-text{
	font-size: 80%;
}

div[data-tab]{
	display: none;
}
div[data-tab]:first-of-type{
	display: block;
}

section{
	width: 100%;
	
	/*border: 1px solid #666;
	border-radius: 8px;*/
	background: #282828;
	
	padding: 16px;
	
	margin-bottom: 8px;
}
section h1{
	margin: 0;
	
	font-weight: bold;
	font-size: 120%;
}
section div.panel label{
	display: inline-block;
	width: 80px;
	
	/*line-height: 14px;*/
}
section div.panel label.wide{
	width: 120px;
}
section div.panel label.double-wide{
	width: 224px;
}
section div.panel var{
	display: inline-block;
	
	text-align: right;
}
section div.panel var,
section div.panel select,
section div.panel input{
	width: 100px;
	
	margin: 1px 4px 1px 0;
	
	font-size: 80%;
}
section div.panel select.wide,
section div.panel input.wide{
	width: 208px;
}
section div.panel input.narrow{
	width: 50px;
}
section div.panel span{
	display: inline-block;
	
	/*line-height: 14px;*/
}

table{
	width: 100%;
	font-size: 90%;
}
table thead tr th{
	background: #444;
	
	font-weight: normal;
}
table tbody tr td{
	background: #333;
	
	padding: 4px;
}
table tbody tr:hover td{
	background: #444;
}
table tbody tr.selected td{
	background: #555;
}

nav{
	margin: 8px;
}
nav.tabs{
	border-bottom: 1px solid #666;
	margin: 8px 0;
}
nav.tabs button{
	margin: 0;
	border-radius: 0;
	border-right-style: none;
	border-bottom: 0 none;
}
nav.tabs button:first-of-type{
	border-top-left-radius: 4px;
	margin-left: 8px;
}
nav.tabs button:last-of-type{
	border-right-style: solid;
	
	border-top-right-radius: 4px;
}

button{
	background: #444;
	border: 1px solid #666;
	border-radius: 4px;
	
	padding: 2px 8px;
	margin: 0 2px;
	
	color: #ccc;
	cursor: pointer;
	
	transition: background 0.2s, border-color 0.2s;
}
button:disabled{
	background: #555;
	border-color: #666;
	
	color: #888;
}
button:hover{
	background: #555;
	border-color: #999;
}
button:active{
	background: #333;
	border-color: #555;
}
button.selected{
	background: #666;
	color: #fff;
}
button[disabled]{
	border-color: #666;
	cursor: default;
}

select,
input{
	background: #333;
	border: 0 none;
	
	padding: 4px;
	margin: 1px 0;
	
	color: #ccc;
	transition: background 0.25s;
}
select:hover,
input:hover{
	background: #444;
}
select[disabled]:hover,
input[disabled]:hover{
	background: #333;
}
input[disabled]+label{
	color: #777;
}
select{
	padding: 2px 4px;
}
input[type="number"]{
	text-align: right;
}
input[type="checkbox"]{
	width: auto !important;
	vertical-align: middle;
}

#container{
	display: flex;
	align-items: flex-start;
	
	width: 100%;
}

#left-column{
	width: 600px;
	flex: 0 0 auto;
	
	margin: 8px;
	margin-right: 0;
}
#right-column{
	flex: 1 1 auto;
	
	min-width: 616px;
	
	margin: 8px;
}

#runs-progress{
	display: none;
	
	text-align: right;
}
#runs-progress progress{
	margin: 0 4px;
}

#runs-table td:nth-child(3),
#runs-table td:nth-child(4),
#runs-table td:nth-child(5){
	text-align: right;
	font-family: "Ubuntu Mono";
}
#runs-table td:nth-child(1),
#runs-table td:nth-child(6){
	text-align: center;
}

#selected-model-table td,
#selected-data-table td{
	text-align: right;
	font-family: "Ubuntu Mono";
}

#plot{
	background: #FFF;
}
